<mat-accordion>
  <mat-expansion-panel [expanded]="true" class="mb-3">
    <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
      <mat-panel-title><h6>Requestor</h6></mat-panel-title>
    </mat-expansion-panel-header>
    <div [formGroup]="form">
      <div *ngIf="option.name?.isShown || option.email?.isShown" class="form-row">
        <div *ngIf="option.name?.isShown" class="form-group form-group-sm row col-24 col-lg-12">
          <label class="col-form-label col-24 col-lg-6" [ngClass]="{ 'text-danger' : isRequired('name') }">Name:</label>
          <div class="col-24 col-lg-16 pl-0 pl-lg-1">
            <div class="input-group">
              <input type="text" class="form-control form-control-sm" formControlName="name" />
              <app-user-finder *ngIf="option.userFinder?.isEnabled" id="requestor" [group]="form" [option]="option.userFinder"></app-user-finder>
            </div>
            <div *ngIf="name.invalid && (name.dirty || name.touched || isSubmitted)">
              <ng-container *ngFor="let validator of option.name?.validators">
                <span *ngIf="name.errors[validator.name]" class="form-text text-danger">
                  {{ validator.message }}
                </span>
              </ng-container>
            </div>
            <div *ngIf="id.invalid && (id.dirty || id.touched || isSubmitted)">
              <ng-container *ngFor="let validator of option.id?.validators">
                <span *ngIf="id.errors[validator.name]" class="form-text text-danger">
                  {{ validator.message }}
                </span>
              </ng-container>
            </div>
          </div>
        </div>
        <div *ngIf="option.email?.isShown" class="form-group form-group-sm row col-24 col-lg-12">
          <label class="col-form-label col-24 col-lg-6">Email:</label>
          <div class="col-24 col-lg-16 pl-0 pl-lg-1">
            <input type="text" class="form-control form-control-sm" formControlName="email" />
            <div *ngIf="email.invalid && (email.dirty || email.touched || isSubmitted)">
              <ng-container *ngFor="let validator of option.email?.validators">
                <span *ngIf="email.errors[validator.name]" class="form-text text-danger">
                  {{ validator.message }}
                </span>
              </ng-container>
            </div>
          </div>
        </div>
      </div>
      <div *ngIf="option.phone?.isShown || option.cellphone?.isShown" class="form-row">
        <div *ngIf="option.phone?.isShown" class="form-group form-group-sm row col-24 col-lg-12">
          <label class="col-form-label col-24 col-lg-6">Phone:</label>
          <div class="col-24 col-lg-16 pl-0 pl-lg-1">
            <input type="text" class="form-control form-control-sm" formControlName="phone" />
            <div *ngIf="phone.invalid && (phone.dirty || phone.touched || isSubmitted)">
              <ng-container *ngFor="let validator of option.phone?.validators">
                <span *ngIf="phone.errors[validator.name]" class="form-text text-danger">
                  {{ validator.message }}
                </span>
              </ng-container>
            </div>
          </div>
        </div>
        <div *ngIf="option.cellphone?.isShown" class="form-group form-group-sm row col-24 col-lg-12">
          <label class="col-form-label col-24 col-lg-6">Cellphone:</label>
          <div class="col-24 col-lg-16 pl-0 pl-lg-1">
            <input type="text" class="form-control form-control-sm" formControlName="cellphone" />
            <div *ngIf="cellphone.invalid && (cellphone.dirty || cellphone.touched || isSubmitted)">
              <ng-container *ngFor="let validator of option.cellphone?.validators">
                <span *ngIf="cellphone.errors[validator.name]" class="form-text text-danger">
                  {{ validator.message }}
                </span>
              </ng-container>
            </div>
          </div>
        </div>
      </div>
      <div *ngIf="option.pager?.isShown || option.pagerPin?.isShown" class="form-row">
        <div *ngIf="option.pager?.isShown" class="form-group form-group-sm row col-24 col-lg-12">
          <label class="col-form-label col-24 col-lg-6">Pager:</label>
          <div class="col-24 col-lg-16 pl-0 pl-lg-1">
            <input type="text" class="form-control form-control-sm" formControlName="pager" />
          </div>
        </div>
        <div *ngIf="option.pagerPin?.isShown" class="form-group form-group-sm row col-24 col-lg-12">
          <label class="col-form-label col-24 col-lg-6">Pager Pin:</label>
          <div class="col-24 col-lg-16 pl-0 pl-lg-1">
            <input type="text" class="form-control form-control-sm" formControlName="pagerPin" />
          </div>
        </div>
      </div>
      <div *ngIf="option.bridgeNumber?.isShown || option.bridgePin?.isShown" class="form-row">
        <div *ngIf="option.bridgeNumber?.isShown" class="form-group form-group-sm row col-24 col-lg-12">
          <label class="col-form-label col-24 col-lg-6" [ngClass]="{ 'text-danger' : isRequired('bridgeNumber') }">Bridge Number:</label>
          <div class="col-24 col-lg-16 pl-0 pl-lg-1">
            <input type="text" class="form-control form-control-sm" formControlName="bridgeNumber" />
            <div *ngIf="bridgeNumber.invalid && (bridgeNumber.dirty || bridgeNumber.touched || isSubmitted)">
              <ng-container *ngFor="let validator of option.bridgeNumber?.validators">
                <span *ngIf="bridgeNumber.errors[validator.name]" class="form-text text-danger">
                  {{ validator.message }}
                </span>
              </ng-container>
            </div>
          </div>
        </div>
        <div *ngIf="option.bridgePin?.isShown" class="form-group form-group-sm row col-24 col-lg-12">
          <label class="col-form-label col-24 col-lg-6" [ngClass]="{ 'text-danger' : isRequired('bridgePin') }">Pin:</label>
          <div class="col-24 col-lg-16 pl-0 pl-lg-1">
            <input type="text" class="form-control form-control-sm" formControlName="bridgePin" />
            <div *ngIf="bridgePin.invalid && (bridgePin.dirty || bridgePin.touched || isSubmitted)">
              <ng-container *ngFor="let validator of option.bridgePin?.validators">
                <span *ngIf="bridgePin.errors[validator.name]" class="form-text text-danger">
                  {{ validator.message }}
                </span>
              </ng-container>
            </div>
          </div>
        </div>
      </div>
      <div *ngIf="option.eventComments?.isShown" class="form-row">
        <div *ngIf="option.eventComments?.isShown" class="form-group form-group-sm row col-24">
          <label class="col-form-label col-24 col-lg-3">Event Comments: </label>
          <div class="col-24 col-lg-20 pl-0 pl-lg-1">
             <textarea rows="5" class="form-control form-control-sm" formControlName="eventComments" ></textarea>
          </div>
        </div>
      </div>
      <input type="hidden" formControlName="id" />
    </div>
  </mat-expansion-panel>
</mat-accordion>
